;------------------------------------------
;Teoreettinen malli: Gaussinen jakauma, mu=0, sig=sigma
;KSONE:n kutuma aliohjelma
;------------------------------------------
function ks_model,x, _extra=extra
   common ks_model_com,sigma
   res=gauss_pdf(x/sigma)
   return,res
end
;------------------------------------------
;PAAOHJELMA
;Testataan hypoteesia H0: partikkelien vertikaalinen jakauma
;noudattaa Gaussista jakaumaa
;Partikkelit Saturnuksen renkaiden simulaatiosta
;------------------------------------------
   common ks_model_com,sigma  
   program='idlharj5_ksone_zz' & ps=0.1
   psdirect,program,ps,/color
   if(!d.name eq 'PS') then !p.charsize=0.7
   
;---------------------------
;1000 particles
;HARVA SYSTEEMI
   restore,'tb_iimodel2_a100tau010.pos'
   data=zz
   sigma=sqrt(mean(data^2))

   !p.multi=[0,2,2] & nwin  & ff='(f6.4)'
   !x.range=[-20,20]
   !p.title='1000 z arvoa: harva systeemi'
   histo_f,data,-30,30,1,/plot,/gauss,psym=10
   xyouts,5,0.08,'sigma='+string(sigma,ff)

   !p.title='ACCEPT GAUSSIAN'
   !x.range=[-20,20]*.5
   ksone,data,'ks_model',d,prob,/plot,xtitle='z/radius',ytitle='CFD'
   xyouts,-8,0.8,'D='+string(d,ff)
   xyouts,-8,0.7,'Prob='+string(prob,ff)
   
;---------------------------
;1000 particles
;TIHEA SYSTEEMI
   restore,'tb_iimodel1_a100tau400.pos'
   data=zz
   sigma=sqrt(mean(data^2))

   !x.range=[-20,20]
   !p.title='1000 z arvoa: tihea systeemi'
   histo_f,data,-30,30,1,/plot,/gauss,psym=10
   xyouts,5,.08,'sigma='+string(sigma,ff)

   !p.title='REJECT GAUSSIAN'
   !x.range=[-20,20]*.5
   ksone,data,'ks_model',d,prob,/plot,xtitle='z/radius',ytitle='CFD'
   xyouts,-8,0.8,'D='+string(d,ff)
   xyouts,-8,0.7,'Prob='+string(prob,ff)
   
   !p.multi=0 &  defplot
   psdirect,program,ps,/stop
   !p.charsize=0.7   
end


